# @author Marek Tunkl <tunklmar+golem@gmail.com>
# This file contains description of ./Discharge.sh parameters for parser
# Each parameter like '--infrastructure.bt_ecd' is separate yaml document 
###
# Yaml file has following structure
# ---
# command: diagnoscics name for ./Dirigent.sh
# title: Optional human readable name for diagnoscits/infractructure
# parameters:
#   - name: parameter_name
#     type: int
#     default: 100
# ---
###
# supported types are:
# str        - normal string
# int, float - Golem Remote adds slider thist needs min, max, step values
#            - for float, please use brackets '0.1' to ambiguity due float <-> str conversion 
# switch     - Golem Remote renders multuple options (usually 'on', 'off')
#            - this type requires options array
#            - in options_alt_text you can add alternative text for options
# waveform   - Golem Remote provides simple waveform editor
#            - options field is used for presets and options_alt_text for their names
# shot_no    - Shot number (or -1) is accepted
#            - in brackets you can add highligter 'shot_no[vacuum]'
#            - Golem Remote will add selector for shot numbers in current session
#            - and highlights the vacuum shots
# binary[n]  - n-long binary number
###
# all parameters also accepts optional fields like
# (they are rendered in Golem Remote webpage and does not affect other behaviour)
# title: Optional human readable name for parameter
# unit: unit for prameter
# comment: Longer comment for the parameter (shows as tooltip)
command: infrastructure.bt_ecd
title: Basic Diacharge Parameters
use_from_level: 1
parameters:
  - name: U_Bt
    title: Toroidal Field Capacitor
    type: int
    min : 0
    max : 1200
    step: 10
    default: 800
    unit: V
    use_from_level: 1
  
  - name: t_Bt
    title: Torodial Field Delay
    type: int
    min : 0
    max : 20000
    step: 100
    default: 0
    unit: us
    use_from_level: 1

  - name: U_cd
    title: Current Drive Capacitor
    type: int
    min : 0
    max : 700
    step: 10
    default: 450
    unit: V
    use_from_level: 1

  - name: t_cd
    title: Current Drive Delay
    type: int
    min : 0
    max : 20000
    step: 100
    default: 0
    unit: us
    use_from_level: 1

  - name: O_Bt
    title: Toroidal Field Orientation
    type: switch
    options: [CW, ACW]
    default: CW
    use_from_level: 3

  - name: O_cd
    title: Current Orientaiton
    type: switch
    options: [CW, ACW]
    default: CW
    use_from_level: 3
